turtles-own [ovarian-development aggressive-level partner worker-num rest-time prob-of-being-policed got-partner? made-decision?]
globals [grpmem aggression-list gamergate-list worker-list duel-list ovarian-development-dist list-num dominating-list policing-list]

to setup
;; (for this model to work with NetLogo's new plotting features,
  ;; __clear-all-and-reset-ticks should be replaced with clear-all at
  ;; the beginning of your setup procedure and reset-ticks at the end
  ;; of the procedure.)
  __clear-all-and-reset-ticks
crt initial-number
[set ovarian-development random-normal average-initial-OD initial-diversity
  ;;while [(ovarian-development > 10)]
  ;;[
  set ovarian-development random-normal average-initial-OD initial-diversity;;]
;;show ovarian-development
 ifelse ovarian-development <= 0
 [set aggressive-level 0]
 [set aggressive-level exp (-1 * ovarian-development / 30)]
set prob-of-being-policed exp (-2 * ovarian-development / 30)
set made-decision? false
set worker-num 0
set shape "ant"
set size 1.5
set color 35
set got-partner? false
set rest-time 0
setxy random-pxcor random-pycor
]

ask patches
[if (distancexy 0 0) < 2
[set pcolor white]]

set list-num 0
set aggression-list n-values 5001 [0]
set gamergate-list n-values 5001 [0]
set worker-list n-values 5001 [0]
set duel-list n-values 5001 [0]
set dominating-list n-values 5001 [0]
set policing-list n-values 5001 [0]
set ovarian-development-dist n-values initial-number [0]
end

to go
 ask turtles
 [ifelse (aggressive-level * 100) > random-float 100
 [if count turtles with [(got-partner? = false)] in-radius 1 > 1 ;; if you have any other ants around
 [if not got-partner?
  [find-partner
  compare-ovarian-development
  break-up]]]
 [move-around] ;; if no ants are around, then keep moving
 ]
 update-lists
 do-plotting
 initialize-parameters
 tick
 end

to find-partner
 set got-partner? true
 set partner one-of turtles with [(got-partner? = false)] in-radius 1
 ask partner [set got-partner? true face myself]
 face partner
end

to compare-ovarian-development
 ifelse [color] of partner = gray
 [if (prob-of-being-policed * 100) > random-float 100
  [set ovarian-development (ovarian-development - EffectivenessOfPolicing)
   if EffectivenessOfPolicing > 0
   [set color pink]]
  ;;[set ovarian-development (ovarian-development + gain-by-dominating)
   ;;set color pink] ;; dominance behavior
   ]

 [ifelse abs (ovarian-development - ([ovarian-development] of partner)) >= dueling-threshold
 [dominating]
 [if abs (ovarian-development - ([ovarian-development] of partner)) < dueling-threshold
 [dueling]
  ]]
end

to dominating

   if (ovarian-development - ([ovarian-development] of partner)) > dueling-threshold
   [set ovarian-development (ovarian-development + gain-by-dominating)
   set color red
   ask partner [set ovarian-development (ovarian-development - lose-by-being-dominated) set color cyan]
   ] ;; dominance behavior

end

to dueling
  if (effect-of-dueling = "+/+")
  [
    set ovarian-development (ovarian-development + 1)
    set color green
    ask partner [set ovarian-development (ovarian-development + 1) set color green]
  ]

  if (effect-of-dueling = "+/-")
  [
   ifelse (ovarian-development > ([ovarian-development] of partner))
    [
     set ovarian-development (ovarian-development + 5)
     set color green
     ask partner [set ovarian-development (ovarian-development - 5)]
    ]
    [
     set ovarian-development (ovarian-development - 5)
     set color green
     ask partner [set ovarian-development (ovarian-development + 5)]
    ]
  ]

  if (effect-of-dueling = "-/-")
   [
    set ovarian-development (ovarian-development - 1)
    set color green
    ask partner [set ovarian-development (ovarian-development - 1) set color green]
  ]
end

to break-up
  rt 180
  fd 2
  ask partner [rt 180 fd 2]
end

to initialize-parameters

ask turtles
[ifelse color = gray
[ifelse any? turtles with [color = violet] in-radius 5
[set aggressive-level 0
  set ovarian-development 0
  set color gray]
 [if random-float 100 < 0
  [set color 35
  set ovarian-development 1
  set aggressive-level exp (-1 * ovarian-development / 30)]]]

[ifelse ovarian-development <= 0
 [set aggressive-level 0
  set ovarian-development 0
  set color gray
  ]
 [set color 35
   set ovarian-development (ovarian-development + (3 * aggressive-level / 30))
   set aggressive-level exp (-1 * ovarian-development / 30)
   set prob-of-being-policed exp (-2 * ovarian-development / 30)
   ]]]
ask turtles
[set got-partner? false]
end

to move-around

if color = gray
 [rt (random -40 + random 40) fd 1]

if color = 35
[ifelse [pcolor] of patch-here = white
 [rt (random -40 + random 40) fd 1]
 [facexy 0 0
 fd 1]]
end

to update-lists
let num-aggressions count turtles with [color = pink]
set aggression-list replace-item list-num aggression-list num-aggressions
let num-gamergates count turtles with [color != gray]
set gamergate-list replace-item list-num gamergate-list num-gamergates
let num-workers count turtles with [(color = gray)]
set worker-list replace-item list-num worker-list num-workers
let num-duels count turtles with [color = green]
set duel-list replace-item list-num duel-list num-duels
let num-dominants count turtles with [color = red]
set dominating-list replace-item list-num dominating-list num-dominants
let num-polices count turtles with [color = pink]
set policing-list replace-item list-num policing-list num-polices
if remainder ticks 100 = 0
[let k 0
while [k < initial-number]
[ask turtles with [who = k]
[set ovarian-development-dist replace-item k ovarian-development-dist ovarian-development]
set k (k + 1)
]]
set list-num (list-num + 1)
end

to do-plotting

set-current-plot "Aggressive-Behavior"
set-current-plot-pen "aggressive"
plot count turtles with [(color = pink)]

set-current-plot "dueling-Behavior"
set-current-plot-pen "dueling"
plot count turtles with [(color = green)]

set-current-plot "Ranks"
set-current-plot-pen "worker"
plot ((count turtles with [(color = gray)]) / (count turtles)) * 100
set-current-plot-pen "potential-gamergate"
plot ((count turtles with [color != gray]) / (count turtles)) * 100

set-current-plot "ovarian-development-dist"
set-histogram-num-bars 30
histogram [ovarian-development] of turtles
end
@#$#@#$#@
GRAPHICS-WINDOW
205
52
607
475
10
10
18.7
1
10
1
1
1
0
1
1
1
-10
10
-10
10
0
0
1
ticks
30.0

BUTTON
79
80
142
113
NIL
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
77
35
143
68
NIL
setup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
4
266
176
299
initial-diversity
initial-diversity
0
20
3
1
1
NIL
HORIZONTAL

SLIDER
4
304
177
337
dueling-threshold
dueling-threshold
0
100
30
1
1
NIL
HORIZONTAL

SLIDER
1
152
173
185
initial-number
initial-number
0
1000
100
10
1
NIL
HORIZONTAL

PLOT
614
10
886
172
Aggressive-Behavior
Time
# agg. interactions
0.0
10.0
0.0
10.0
true
false
"" ""
PENS
"default" 1.0 0 -16777216 true "" ""
"aggressive" 1.0 0 -16777216 true "" ""

PLOT
612
177
924
366
Ranks
Time
proportion (%)
0.0
10.0
0.0
100.0
true
true
"" ""
PENS
"worker" 1.0 0 -7500403 true "" ""
"potential-gamergate" 1.0 0 -6459832 true "" ""

PLOT
617
369
1133
519
ovarian-development-dist
NIL
NIL
0.0
300.0
0.0
10.0
true
false
"" ""
PENS
"default" 10.0 1 -16777216 true "" ""

SLIDER
4
347
201
380
EffectivenessOfPolicing
EffectivenessOfPolicing
0
1000
1000
1
1
NIL
HORIZONTAL

PLOT
889
11
1147
173
Dueling-Behavior
time
# Dueling
0.0
10.0
0.0
10.0
true
false
"" ""
PENS
"dueling" 1.0 0 -10899396 true "" ""

SLIDER
7
386
186
419
gain-by-dominating
gain-by-dominating
0
100
10
1
1
NIL
HORIZONTAL

SLIDER
3
425
189
458
lose-by-being-dominated
lose-by-being-dominated
0
100
10
1
1
NIL
HORIZONTAL

SLIDER
2
191
174
224
average-initial-OD
average-initial-OD
0
20
5
1
1
NIL
HORIZONTAL

CHOOSER
3
477
141
522
effect-of-dueling
effect-of-dueling
"+/+" "+/-" "-/-"
0

@#$#@#$#@
## WHAT IS IT?

This section could give a general understanding of what the model is trying to show or explain.

## HOW IT WORKS

This section could explain what rules the agents use to create the overall behavior of the model.

## HOW TO USE IT

This section could explain how to use the model, including a description of each of the items in the interface tab.

## THINGS TO NOTICE

This section could give some ideas of things for the user to notice while running the model.

## THINGS TO TRY

This section could give some ideas of things for the user to try to do (move sliders, switches, etc.) with the model.

## EXTENDING THE MODEL

This section could give some ideas of things to add or change in the procedures tab to make the model more complicated, detailed, accurate, etc.

## NETLOGO FEATURES

This section could point out any especially interesting or unusual features of NetLogo that the model makes use of, particularly in the Procedures tab.  It might also point out places where workarounds were needed because of missing features.

## RELATED MODELS

This section could give the names of models in the NetLogo Models Library or elsewhere which are of related interest.

## CREDITS AND REFERENCES

This section could contain a reference to the model's URL on the web if it has one, as well as any other necessary credits or references.
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

ant
true
0
Polygon -7500403 true true 136 61 129 46 144 30 119 45 124 60 114 82 97 37 132 10 93 36 111 84 127 105 172 105 189 84 208 35 171 11 202 35 204 37 186 82 177 60 180 44 159 32 170 44 165 60
Polygon -7500403 true true 150 95 135 103 139 117 125 149 137 180 135 196 150 204 166 195 161 180 174 150 158 116 164 102
Polygon -7500403 true true 149 186 128 197 114 232 134 270 149 282 166 270 185 232 171 195 149 186
Polygon -7500403 true true 225 66 230 107 159 122 161 127 234 111 236 106
Polygon -7500403 true true 78 58 99 116 139 123 137 128 95 119
Polygon -7500403 true true 48 103 90 147 129 147 130 151 86 151
Polygon -7500403 true true 65 224 92 171 134 160 135 164 95 175
Polygon -7500403 true true 235 222 210 170 163 162 161 166 208 174
Polygon -7500403 true true 249 107 211 147 168 147 168 150 213 150

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 5.2.1
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
<experiments>
  <experiment name="experiment" repetitions="50" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="4001"/>
    <metric>aggression-list</metric>
    <metric>gamergate-list</metric>
    <metric>worker-list</metric>
    <metric>duel-list</metric>
    <metric>ovarian-development-dist</metric>
    <enumeratedValueSet variable="initial-diversity">
      <value value="4"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="average-initial-OD">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-number">
      <value value="50"/>
      <value value="100"/>
      <value value="150"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="lose-by-being-dominated">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="gain-by-dominating">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="EffectivenessOfPolicing">
      <value value="120"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="dueling-threshold">
      <value value="5"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="1" runMetricsEveryStep="true">
    <setup>setup</setup>
    <go>go</go>
    <metric>count turtles</metric>
    <enumeratedValueSet variable="initial-diversity">
      <value value="2"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="average-initial-OD">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-number">
      <value value="150"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="lose-by-being-dominated">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="gain-by-dominating">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="EffectivenessOfPolicing">
      <value value="143"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="dueling-threshold">
      <value value="5"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="noduelnopolice" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="10000"/>
    <metric>ovarian-development-dist</metric>
    <enumeratedValueSet variable="initial-number">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="dueling-threshold">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="gain-by-dominating">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-diversity">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="lose-by-being-dominated">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="EffectivenessOfPolicing">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="average-initial-OD">
      <value value="5"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="5000"/>
    <metric>ovarian-development-dist</metric>
    <enumeratedValueSet variable="gain-by-dominating">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="dueling-threshold">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="EffectivenessOfPolicing">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="average-initial-OD">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-diversity">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="lose-by-being-dominated">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-number">
      <value value="100"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="+/-" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="5000"/>
    <metric>ovarian-development-dist</metric>
    <enumeratedValueSet variable="dueling-threshold">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="average-initial-OD">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="lose-by-being-dominated">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="EffectivenessOfPolicing">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-number">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-diversity">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="effect-of-dueling">
      <value value="&quot;+/-&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="gain-by-dominating">
      <value value="10"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="5000"/>
    <metric>ovarian-development-dist</metric>
    <enumeratedValueSet variable="dueling-threshold">
      <value value="15"/>
      <value value="20"/>
      <value value="25"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="average-initial-OD">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="lose-by-being-dominated">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="EffectivenessOfPolicing">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-number">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-diversity">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="effect-of-dueling">
      <value value="&quot;+/+&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="gain-by-dominating">
      <value value="10"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="5000"/>
    <metric>ovarian-development-dist</metric>
    <enumeratedValueSet variable="initial-diversity">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="effect-of-dueling">
      <value value="&quot;+/-&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="average-initial-OD">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="gain-by-dominating">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="EffectivenessOfPolicing">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-number">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="dueling-threshold">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="lose-by-being-dominated">
      <value value="10"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="5000"/>
    <metric>ovarian-development-dist</metric>
    <enumeratedValueSet variable="initial-diversity">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="effect-of-dueling">
      <value value="&quot;+/+&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="average-initial-OD">
      <value value="6"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="gain-by-dominating">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="EffectivenessOfPolicing">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-number">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="dueling-threshold">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="lose-by-being-dominated">
      <value value="10"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="5000"/>
    <metric>ovarian-development-dist</metric>
    <enumeratedValueSet variable="initial-number">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="effect-of-dueling">
      <value value="&quot;+/+&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="lose-by-being-dominated">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="gain-by-dominating">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-diversity">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="dueling-threshold">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="average-initial-OD">
      <value value="6"/>
    </enumeratedValueSet>
    <steppedValueSet variable="EffectivenessOfPolicing" first="0" step="20" last="300"/>
  </experiment>
  <experiment name="experiment" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="5000"/>
    <metric>ovarian-development-dist</metric>
    <enumeratedValueSet variable="lose-by-being-dominated">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="average-initial-OD">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="effect-of-dueling">
      <value value="&quot;+/+&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="EffectivenessOfPolicing">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="dueling-threshold">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-number">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="gain-by-dominating">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-diversity">
      <value value="3"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="5000"/>
    <metric>duel-list</metric>
    <metric>dominating-list</metric>
    <metric>policing-list</metric>
    <enumeratedValueSet variable="average-initial-OD">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-number">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="gain-by-dominating">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-diversity">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="lose-by-being-dominated">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="EffectivenessOfPolicing">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="effect-of-dueling">
      <value value="&quot;+/+&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="dueling-threshold">
      <value value="10"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="500"/>
    <metric>dominating-list</metric>
    <enumeratedValueSet variable="average-initial-OD">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-number">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="gain-by-dominating">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-diversity">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="lose-by-being-dominated">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="EffectivenessOfPolicing">
      <value value="1000"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="effect-of-dueling">
      <value value="&quot;+/+&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="dueling-threshold">
      <value value="5"/>
    </enumeratedValueSet>
  </experiment>
</experiments>
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180

@#$#@#$#@
0
@#$#@#$#@
